import React from 'react';
import { connect } from 'dva';
import { Icon } from 'antd';
import styles from './index.less';

const Register = ({ dispatch, register, loading }) => {
  const { edpPbSupp } = register;

  return (
    <div>
      <div className={styles.result}>
        <div className={styles.iconBox}><Icon type="check-circle" className={styles.icon} /></div>
        <div className={styles.title}>注册成功</div>
        <div className={styles.text}>账户和密码将发送至您的用户邮箱{edpPbSupp.bussPicMail}，请注意查收!</div>
      </div>
    </div>
  );
};

export default connect(({ register, loading }) => ({ register, loading }))(Register);
